%{?nodejs_find_provides_and_requires}

%global packagename snapdragon-capture-set

# Tests disabled due to circular dependency on npm(snapdragon-util)
%global enable_tests 0

# build without some buildrequires to bootstrap the snapdragon package set
%global bootstrap 1

Name:		nodejs-snapdragon-capture-set
Version:	1.0.1
Release:	1%{?dist}
Summary:	Plugin that adds a `.captureSet()` method to snapdragon

License:	MIT
URL:		https://github.com/jonschlinkert/snapdragon-capture-set
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging

%if 0%{?!bootstrap}
BuildRequires:	npm(snapdragon-node)
%endif
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Plugin that adds a `.captureSet()` method to snapdragon, for matching and
capturing substrings that have an `open` and `close`, like braces, brackets,
etc


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?!bootstrap}
%{__nodejs} -e 'require("./")'
%endif
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Apr 14 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
